{[j=20/57/1$]}
{[f-]}
{------------------------------------------------------------------------------
#
#	Apple Macintosh Developer Technical Support
#
#	BitMap Transformer
#
#	MTransformer.p	-	Pascal Source
#
#	Copyright  1989 Apple Computer, Inc.
#	All rights reserved.
#
#	Versions:
#				1.0 						10/89
#
#	Components:
#				MTransformer.p				October 1, 1989
#				UTransformer.p				October 1, 1989
#				UTransformer.inc1.p 		October 1, 1989
#				Transformer.c				October 1, 1989
#				Transformer.r				October 1, 1989
#				Transformer.MAMake			October 1, 1989
#				ProjInit					October 1, 1989
#				The BitMap Transmogrifier	October 1, 1989
#
#	Requirements:
#				MacApp 2.09				July 10, 1989
#
# "Transformers" is a sample program that demonstrates how to translate,
# rotate, and scale bitmaps. It uses a MacApp shell to open file, open
# windows, and handle menus, but the core routine is written in vanilla C.
#
------------------------------------------------------------------------------}
{[f+]}

PROGRAM Transformer;

  {$MC68020-}											{ The main program must be universal code }
  {$MC68881-}

	USES
		{  MacApp }
		UMacApp,

		{  Building Blocks }
		UDialog,

		{  Implementation Use }
		UTransformer;

	VAR

		gTransformerApplication: TTransformerApplication; { The application object }

	BEGIN

		InitToolBox;
		IF ValidateConfiguration(gConfiguration) THEN	{ Make sure we can run }
			BEGIN
			InitUMacApp(8);
			InitUDialog;

			NEW(gTransformerApplication);
			FailNIL(gTransformerApplication);
			gTransformerApplication.ITransformerApplication(kMacPaintFileType);
			gTransformerApplication.Run;

		END
		ELSE
			StdAlert(phUnsupportedConfiguration);
	END.
